package es.uv.saic.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import es.uv.saic.domain.Tipus;
import es.uv.saic.domain.TipusRepository;

@Service
public class TipusService {
	
	@Autowired
	private TipusRepository tipusRepository;
	
	public List<Tipus> findAll(){
		return this.tipusRepository.findAll();
	}
	
	public Tipus findOne(Integer idTipus) {
		return this.tipusRepository.getReferenceById(idTipus);
	}
	
}
